> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses authorized senders



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses/{businessId}/authorized-senders
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/authorized-senders:
    post:
      tags:
        - AuthorizedSenders
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/ExpenseForwardingCreateAuthorizedSenderRequest
          text/json:
            schema:
              $ref: >-
                #/components/schemas/ExpenseForwardingCreateAuthorizedSenderRequest
          application/*+json:
            schema:
              $ref: >-
                #/components/schemas/ExpenseForwardingCreateAuthorizedSenderRequest
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExpenseForwardingAuthorizedSenderResponse'
        '400':
          description: Bad Request
        '409':
          description: Conflict
components:
  schemas:
    ExpenseForwardingCreateAuthorizedSenderRequest:
      type: object
      properties:
        emailAddress:
          type: string
          nullable: true
      additionalProperties: false
    ExpenseForwardingAuthorizedSenderResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        userId:
          type: integer
          format: int64
        businessId:
          type: integer
          format: int64
          nullable: true
        emailAddress:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
      additionalProperties: false

````